using System;
using System.Collections.Generic;
using System.Text;

namespace Publishmentation
{
    abstract class Publish
    {
        string publishTitle, customer, publisher, publishingName, subject;

        public string Subject
        {
            get { return subject; }
            set { subject = value; }
        }

        public string PublishingName
        {
            get { return publishingName; }
            set { publishingName = value; }
        }
        int pageCount, publishId, titragh;

        public int Titragh
        {
            get { return titragh; }
            set { titragh = value; }
        }

        public int PublishId
        {
            get { return publishId; }
            set { publishId = value; }
        }

        public int PageCount
        {
            get { return pageCount; }
            set { pageCount = value; }
        }
        DateTime publishDate;

        public DateTime PublishDate
        {
            get { return publishDate; }
            set { publishDate = value; }
        }
        public string Publisher
        {
            get { return publisher; }
            set { publisher = value; }
        }

        public string Customer
        {
            get { return customer; }
            set { customer = value; }
        }
        public string PublishTitle
        {
            get { return publishTitle; }
            set { publishTitle = value; }
        }
        public abstract void rePublishing(RePublishmentClass rePublish);
    }
}
